ranges::views::iter_transform_fn Struct Reference
Inheritance diagram for ranges::views::iter_transform_fn:

## Synopsis of methods

constexpr iter_transform_fn | iter_transform {}

## Public Member Functions

template<typename Fun >
constexpr auto | operator() (Fun fun) const
Public Member Functions inherited from ranges::views::iter_transform_base_fn
template<typename Rng , typename Fun >
constexpr auto | operator() (Rng &&rng, Fun fun) const -> iter_transform_view< all_t< Rng >, Fun > requires viewable_range< Rng > &&input_range< Rng > &&copy_constructible< Fun > &&detail::iter_transform_1_readable< Fun, Rng >
template<typename Rng1 , typename Rng2 , typename Fun >
constexpr auto | operator() (Rng1 &&rng1, Rng2 &&rng2, Fun fun) const -> iter_transform2_view< all_t< Rng1 >, all_t< Rng2 >, Fun > requires viewable_range< Rng1 > &&input_range< Rng1 > &&viewable_range< Rng2 > &&input_range< Rng2 > &&copy_constructible< Fun > &&common_with< range_difference_t< Rng1 >, range_difference_t< Rng1 >> &&detail::iter_transform_2_readable< Fun, Rng1, Rng2 >